Package org.etsi.uri._01903.v1_3

# Class SPUserNotice

java.lang.Object
org.etsi.uri._01903.v1_3.SPUserNotice

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class SPUserNotice extends Object implements Serializable

Java class for SPUserNoticeType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SPUserNoticeType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NoticeRef" type="{http://uri.etsi.org/01903/v1.3.2#}NoticeReferenceType" minOccurs="0"/>
             <element name="ExplicitText" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SPUserNotice()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getExplicitText()`
  Gets the value of the explicitText property.
  `NoticeReferenceType`
  `getNoticeRef()`
  Gets the value of the noticeRef property.
  `void`
  `setExplicitText(String value)`
  Sets the value of the explicitText property.
  `void`
  `setNoticeRef(NoticeReferenceType value)`
  Sets the value of the noticeRef property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SPUserNotice

    public SPUserNotice()

- ## Method Details

  - ### getNoticeRef

    public NoticeReferenceType getNoticeRef()
    Gets the value of the noticeRef property.
    Returns:
      possible object is `NoticeReferenceType`

  - ### setNoticeRef

    public void setNoticeRef(NoticeReferenceType value)
    Sets the value of the noticeRef property.
    Parameters:
      `value` - allowed object is `NoticeReferenceType`

  - ### getExplicitText

    public String getExplicitText()
    Gets the value of the explicitText property.
    Returns:
      possible object is `String`

  - ### setExplicitText

    public void setExplicitText(String value)
    Sets the value of the explicitText property.
    Parameters:
      `value` - allowed object is `String`